Beneficiary Verify

Use this API to Verify Beneficiary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescription
Content-TypeStringApplication/Json
AcceptStringApplication/Json
X-Qro-ApiKeyStringProvided By Dextox
X-Qro-UserIdStringProvided By Dextox

Request Parameter

Param NameParam TypeIs MandatoryDescription
mobilestringYESBeneficiary Mobile Number
benenamestringYESBeneficiary first name
bene_idstringYESBeneficiary Id
bankidstringYESBeneficiary Bank Id
accnostringYESBeneficiary Account Number
ifsccodestringYESBeneficiary IFSC code
banknamestringYESBeneficiary Bank name
remnamestringYESRemitter Name
referenceidstringYESUnique Transaction Id
gst_statestringYES07
dobstringYESdob of Beneficiary
addressstringYESBeneficiary address
pincodestringYESBeneficiary Pin code

Sample Request

{
  "mobile":"99XXXXXX39",
  "benename":"nXXXX",
  "bankid":"1177",
  "accno":"39XXXXX",
  "ifsccode":"SBIXXXX",
  "remname":"XXXX",
  "bankname":"XXXX",
  "gst_state":"07",
  "bene_id":"XXXX",
  "referenceid":"XXXXX",
  "dob":"01-02-2000",
  "address":"XXXX",
  "pincode":"46XXXX"
}

Sample Response

{
  "status":true,
  "response_code":1,
  "message":"Beneficiary fetched successfully.",
  "data":
  [
    {"bene_id":"6XXXXXX7",
     "bankid":"656",
     "bankname":"ICICI BANK LIMITED",
     "name":"AXXXX XXXXY",
     "accno":"361XXXXXX5",
     "ifsc":"XXXXXXX",
     "verified":"0",
     "banktype":"ALL"
    }
  ],
  "txn_status":0
}
Body Params
string
required
Defaults to 98XXXXXX12

Beneficiary Mobile Number

string
required
Defaults to XXXX

Beneficiary Name

string
required
Defaults to XXXX

Beneficiary Bank Id

string
required
Defaults to XXXX

Beneficiary Account Number

string
required
Defaults to XXXXXX

Beneficiary IFSC CODE

string
Defaults to XXXXXX

Remitter name

string
required
Defaults to XXXX

Beneficiary bank name

string
required
Defaults to 07

07

string
required
Defaults to xxxxx

Beneficiary Id

string
required
Defaults to xxxxxx

Unique Transaction Id

string
required

Beneficiary DOB

string
required
Defaults to xxxx

Beneficiary Address

string
required
Defaults to xxxx

Beneficiary Pin Code

Headers
string
required
Defaults to {{API KEY}}
string
required
Defaults to {{API KEY}}
Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!